using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SE;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("附件上传")]
    public class T_FO_CRUCIAL_LICENSE_JOB_FILE : MesEntityBase
    {
        [Description("关键许可工作表ID")]
        [DataFieldForeignKey("Nav_CrucialLicenseJob", "Nav_Files")]
        public Guid CRUCIAL_LICENSE_JOB_ID { get; set; }

        [Description("导航属性：关键许可工作表")]
        public virtual T_FO_CRUCIAL_LICENSE_JOB Nav_CrucialLicenseJob { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
